Subject: Moving 2817 to Historic

From: Mark Nottingham <[email-masked]>
Date: Wed, 13 Feb 2019 15:22:31 +1100

During BIS, we had an issue to move RFC2817 to Historic:
  https://trac.ietf.org/trac/httpbis/ticket/254
which we incorporated text for in -16:
  https://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-16

However, later on we addressed an earlier issue that Paul raised to make sure we updated 2817:
  https://trac.ietf.org/trac/httpbis/ticket/128
... with the result that we moved from changing it to Historic to just Updating in -22:
  https://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-22

AIUI the reason for that issue was to assure that the attribution for the HTTPS URI Scheme was properly noted; however, the registry already references 7230 for that purpose. CONNECT is now completely defined in 7230 (and thus core-messaging).

Is there any other reason to keep 2817 around? AIUI it isn't implemented by any browser, nor used anywhere, and isn't considered good practice any more. Am I forgetting something from that discussion?

From https://www.ietf.org/blog/iesg-statement-designating-rfcs-historic/ -- 

> A document is labelled Historic when what it describes is no longer considered current: no longer recommended for use. 

If people still agree that Historic is the appropriate status, we can create a status-change document to kick that process off.

Cheers,

--
Mark Nottingham   https://www.mnot.net/

---

From: Julian Reschke <[email-masked]>
Date: Wed, 13 Feb 2019 06:24:45 +0100

> If people still agree that Historic is the appropriate status, we can create a status-change document to kick that process off.

Sounds right to me.

Best regards, Julian

---

From: Michael Sweet <[email-masked]>
Date: Wed, 13 Feb 2019 10:05:03 -0500

Mark,

HTTP Upgrade is used by IPP/1.1 [STD92] and IPP/2.0 [PWG Standard 5100.12] for opportunistic TLS and has been supported and used by CUPS for about 20 years.  I would NOT be in favor of marking it historic.

The problematic part of HTTP Upgrade has always been proxy support, which killed it for general web browser use but not for local network services.

> On Feb 12, 2019, at 11:22 PM, Mark Nottingham <[email-masked]> wrote:
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

---

From: Willy Tarreau <[email-masked]>
Date: Wed, 13 Feb 2019 17:33:17 +0100

Hi Mike,

On Wed, Feb 13, 2019 at 10:05:03AM -0500, Michael Sweet wrote:
> Mark,
> 
> HTTP Upgrade is used by IPP/1.1 [STD92] and IPP/2.0 [PWG Standard 5100.12]
> for opportunistic TLS and has been supported and used by CUPS for about 20
> years.  I would NOT be in favor of marking it historic.

It's also used by Websocket and even h1->h2 upgrade as well.
However I think it is completely covered by RFC7230 #6.7 :

     https://tools.ietf.org/html/rfc7230#section-6.7

Regards,
Willy

---

From: Michael Sweet <[email-masked]>
Date: Wed, 13 Feb 2019 12:59:06 -0500

Willy,

RFC 2616 also defined the Upgrade header and 101 status code, but it doesn't cover the specific TLS upgrade case (which is why RFC 2817 exists).

> On Feb 13, 2019, at 11:33 AM, Willy Tarreau <[email-masked]> wrote:
> 
> Hi Mike,
>

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 14 Feb 2019 07:21:46 +1100

Ah, that rings a bell - thanks.

Cheers,

> On 14 Feb 2019, at 2:05 am, Michael Sweet <[email-masked]> wrote:
> 
> Mark,
>

---

From: "Kennedy, Smith (Wireless & Standards Architect)" <[email-masked]>
Date: Wed, 13 Feb 2019 16:34:10 +0000

Strongly agree with Mike’s recommendation to NOT marking 2817 historic, for the reasons he cites.

Smith

/**

    Smith Kennedy

    Standards - PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum

    Chair, IEEE ISTO Printer Working Group

    HP Inc.

*/

From: Michael Sweet <[email-masked]> on behalf of Michael Sweet <[email-masked]>
Date: Wednesday, February 13, 2019 at 8:09 AM
To: Mark Nottingham <[email-masked]>
Cc: HTTP Working Group <[email-masked]>
Subject: Re: Moving 2817 to Historic
Resent-From: <[email-masked]>
Resent-Date: Wednesday, February 13, 2019 at 8:06 AM

Mark,